Bug 641138 - udev events are not reliable
udev events are not reliable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 16:21 EDT by Michal Hlavinka
Modified: 2012-08-16 17:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 17:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2010-10-07 16:21:37 EDT
Description of problem:
Nokia N900 when connected via usb creates two devices usb0 and usbpn0, both devices disappear when usb cable is disconnected. After connection udev reliably generates two add events, but after disconnection sometimes only one remove event is generated.

Version-Release number of selected component (if applicable):
kernel-2.6.35.4-28.fc14.x86_64
udev-161-3.fc14.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1. create udev rule:

# cat /etc/udev/rules.d/00-ulog.rules 
SUBSYSTEM=="net", ACTION=="add",    ATTRS{idVendor}=="0421", ATTRS{idProduct}=="01c8", ATTRS{manufacturer} =="Nokia", ATTRS{product}=="N900 (PC-Suite Mode)", RUN="/tmp/abc.sh logup %k";
SUBSYSTEM=="net", ACTION=="remove", ATTRS{idVendor}=="0421", ATTRS{idProduct}=="01c8", ATTRS{manufacturer} =="Nokia", ATTRS{product}=="N900 (PC-Suite Mode)", RUN="/tmp/abc.sh logdw %k";


2.create logging script
# cat /tmp/abc.sh 
#!/bin/bash

echo "$(date) $@" >>/tmp/udev.log

3.reload udev rules
udevadm control --reload-rules

4.repeatedly connect and disconnect Nokia N900 via usb cable
  
Actual results:
Thu Oct  7 21:44:29 CEST 2010 logup usbpn0
Thu Oct  7 21:44:29 CEST 2010 logup usb0
Thu Oct  7 21:44:40 CEST 2010 logdw usbpn0
Thu Oct  7 21:44:40 CEST 2010 logdw usb0
Thu Oct  7 21:44:53 CEST 2010 logup usb0
Thu Oct  7 21:44:53 CEST 2010 logup usbpn0
Thu Oct  7 21:45:04 CEST 2010 logdw usbpn0
Thu Oct  7 21:45:04 CEST 2010 logdw usb0
Thu Oct  7 21:45:16 CEST 2010 logup usb0
Thu Oct  7 21:45:16 CEST 2010 logup usbpn0
Thu Oct  7 21:45:25 CEST 2010 logdw usbpn0
Thu Oct  7 21:45:25 CEST 2010 logdw usb0

Thu Oct  7 21:45:45 CEST 2010 logup usbpn0
Thu Oct  7 21:45:45 CEST 2010 logup usb0
Thu Oct  7 21:52:43 CEST 2010 logdw usbpn0

Thu Oct  7 22:05:51 CEST 2010 logup usb0
Thu Oct  7 22:05:51 CEST 2010 logup usbpn0
Thu Oct  7 22:06:01 CEST 2010 logdw usbpn0
Thu Oct  7 22:06:01 CEST 2010 logdw usb0

Thu Oct  7 22:06:13 CEST 2010 logup usb0
Thu Oct  7 22:06:13 CEST 2010 logup usbpn0
Thu Oct  7 22:06:48 CEST 2010 logdw usbpn0

Thu Oct  7 22:06:58 CEST 2010 logup usbpn0
Thu Oct  7 22:06:58 CEST 2010 logup usb0
Thu Oct  7 22:07:09 CEST 2010 logdw usb0
Thu Oct  7 22:07:09 CEST 2010 logdw usbpn0

Thu Oct  7 22:07:31 CEST 2010 logup usb0
Thu Oct  7 22:07:31 CEST 2010 logup usbpn0
Thu Oct  7 22:07:41 CEST 2010 logdw usb0

Thu Oct  7 22:07:58 CEST 2010 logup usbpn0
Thu Oct  7 22:07:58 CEST 2010 logup usb0
Thu Oct  7 22:09:05 CEST 2010 logdw usbpn0

some remove events are not reported

Expected results:
all events reported

Additional info:
Comment 1 Harald Hoyer 2010-10-07 16:59:36 EDT
run:

udevadm monitor
Comment 2 Michal Hlavinka 2010-10-08 05:28:33 EDT
# udevadm monitor
monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent


device connected:


KERNEL[1286529417.138398] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)
KERNEL[1286529417.139846] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
KERNEL[1286529417.142395] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
KERNEL[1286529417.142449] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
KERNEL[1286529417.143198] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
KERNEL[1286529417.146196] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
KERNEL[1286529417.148002] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
KERNEL[1286529417.149734] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
KERNEL[1286529417.151062] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
KERNEL[1286529417.152585] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
KERNEL[1286529417.153994] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
KERNEL[1286529417.155701] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
KERNEL[1286529417.156982] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
KERNEL[1286529417.160803] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
KERNEL[1286529417.160857] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)
KERNEL[1286529417.163379] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529417.229674] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)
UDEV  [1286529417.237251] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
UDEV  [1286529417.249716] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
UDEV  [1286529417.270034] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
UDEV  [1286529417.276892] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
UDEV  [1286529417.280775] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529417.281867] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
UDEV  [1286529417.373628] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
UDEV  [1286529417.374869] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
UDEV  [1286529417.385869] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
UDEV  [1286529417.392695] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
UDEV  [1286529417.396703] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
UDEV  [1286529417.532701] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
UDEV  [1286529417.542709] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
UDEV  [1286529417.549966] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
UDEV  [1286529417.558121] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)


device disconnected:


KERNEL[1286529443.082168] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
KERNEL[1286529443.082505] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
KERNEL[1286529443.101485] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
KERNEL[1286529443.101591] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
KERNEL[1286529443.105175] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
KERNEL[1286529443.105261] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
KERNEL[1286529443.105327] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
KERNEL[1286529443.105392] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
KERNEL[1286529443.105818] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
KERNEL[1286529443.106433] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
KERNEL[1286529443.107190] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
UDEV  [1286529443.122492] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
UDEV  [1286529443.135929] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
UDEV  [1286529443.142458] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
UDEV  [1286529443.147193] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
KERNEL[1286529443.152153] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)
KERNEL[1286529443.152209] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
UDEV  [1286529443.153538] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)
KERNEL[1286529443.156910] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
KERNEL[1286529443.156969] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529443.159205] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529443.159260] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
KERNEL[1286529443.159719] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)
UDEV  [1286529443.161840] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
UDEV  [1286529443.162973] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
UDEV  [1286529443.194304] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
UDEV  [1286529443.196832] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
UDEV  [1286529443.216337] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
UDEV  [1286529443.220740] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
UDEV  [1286529443.221302] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
UDEV  [1286529443.228181] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
UDEV  [1286529443.230454] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)



log contains:
Fri Oct  8 11:16:57 CEST 2010 logup usbpn0
Fri Oct  8 11:16:57 CEST 2010 logup usb0
Fri Oct  8 11:17:23 CEST 2010 logdw usbpn0


from what I understand this:
UDEV  [1286529443.216337] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)

triggered logdw usbpn0

and this:

UDEV  [1286529443.194304] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)

should log usb0, but it does not happen.

The udev rule is called 00-ulog.rules so I guess with 00 prefix it should not be affected by other rules.


For second try:
KERNEL[1286529774.690982] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)
KERNEL[1286529774.693448] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
KERNEL[1286529774.694635] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
KERNEL[1286529774.694978] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
KERNEL[1286529774.701681] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
KERNEL[1286529774.703166] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
KERNEL[1286529774.704242] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
KERNEL[1286529774.705493] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
KERNEL[1286529774.706879] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
KERNEL[1286529774.708173] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
KERNEL[1286529774.711562] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
KERNEL[1286529774.713124] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
KERNEL[1286529774.714394] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
KERNEL[1286529774.716181] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
KERNEL[1286529774.716434] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)
KERNEL[1286529774.718720] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529774.728584] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)
UDEV  [1286529774.737717] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
UDEV  [1286529774.741967] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
UDEV  [1286529774.748967] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
UDEV  [1286529774.763860] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529774.775692] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
UDEV  [1286529774.777232] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
UDEV  [1286529774.785201] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
UDEV  [1286529774.791355] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
UDEV  [1286529774.817104] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
UDEV  [1286529774.825269] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
UDEV  [1286529774.875277] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
UDEV  [1286529774.906952] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
UDEV  [1286529774.913704] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
UDEV  [1286529774.923236] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
UDEV  [1286529774.929011] add      /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)


KERNEL[1286529795.632499] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
KERNEL[1286529795.636999] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
UDEV  [1286529795.639510] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0/queues/rx-0 (queues)
KERNEL[1286529795.642908] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
KERNEL[1286529795.643605] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
KERNEL[1286529795.643767] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
UDEV  [1286529795.646627] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.1 (usb)
KERNEL[1286529795.647618] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
UDEV  [1286529795.652334] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.3 (usb)
KERNEL[1286529795.652611] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
UDEV  [1286529795.655036] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.4 (usb)
UDEV  [1286529795.661151] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.2 (usb)
KERNEL[1286529795.664691] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
KERNEL[1286529795.665494] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
KERNEL[1286529795.667706] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
KERNEL[1286529795.668201] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
UDEV  [1286529795.670268] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.5 (usb)
KERNEL[1286529795.684168] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)
UDEV  [1286529795.685230] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0/queues/rx-0 (queues)
KERNEL[1286529795.685625] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
KERNEL[1286529795.691349] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
KERNEL[1286529795.691405] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529795.694289] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.7 (usb)
KERNEL[1286529795.696468] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)
UDEV  [1286529795.703508] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.9 (usb)
UDEV  [1286529795.713561] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6/tty/ttyACM0 (tty)
UDEV  [1286529795.719171] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.6 (usb)
UDEV  [1286529795.744421] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0/net/usbpn0 (net)
UDEV  [1286529795.748093] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.0 (usb)
UDEV  [1286529795.750302] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8/net/usb0 (net)
UDEV  [1286529795.751398] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3/1-3:1.8 (usb)
UDEV  [1286529795.753946] remove   /devices/pci0000:00/0000:00:12.2/usb1/1-3 (usb)


both logdw usbpn0 and logdw usb0 are in the log. usbpn0 is present always, usb0 is sometimes present, sometimes not. I can find out any pattern and it does not seem to depend on how long the device was connected.
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:10:06 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:12:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-10-20 12:14:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2012-08-16 17:17:32 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.